<?php
db_connect();

if(isset($_GET["nostav"])){
	$res = db_query("SELECT `summa`, `id` FROM `".DBpref."games` WHERE `login` = '".db_string($_SESSION["login"])."'");
	
	while($row = db_assoc($res)){
		db_query("UPDATE `".DBpref."users` SET `balance` = `balance` + ".round($row["summa"],2)." WHERE `login` = '".db_string($_SESSION["login"])."'");
		db_query("DELETE FROM `".DBpref."games` WHERE `id` = ".$row["id"]);
		echo '<script type="text/javascript">


   document.location.replace("/?p=play");

 </script>';
		}
	
}

if($_GET["t"] == "playno"){
	$res = db_query("SELECT `summa` FROM `".DBpref."games` WHERE `id` = ".intval($_POST["id"])." AND `login` = '".db_string($_SESSION["login"])."'");
	$err = NULL;
	if(db_rows($res) == 0)
		$err .= "<li>Игра не найдена</li>";
	
	if($err == NULL){
		$row = db_assoc($res);
		db_query("UPDATE `".DBpref."users` SET `balance` = `balance` + ".round($row["summa"],2)." WHERE `login` = '".db_string($_SESSION["login"])."'");
		db_query("DELETE FROM `".DBpref."games` WHERE `id` = ".intval($_POST["id"]));	
		
		echo "<script type='text/javascript'>
$('.play-".$row["id"]."').html('<font style=\"margin:10px 0px 0px 170px;\">Игра удалена</font>');
</script>";

	}else{
		echo "<ul>".$err."</ul>";
	}
}

$res = db_query("SELECT `balance` FROM `".DBpref."users` WHERE `login` = '".db_string($_SESSION["login"])."'");

$row = db_assoc($res);

?>
<form action="/?p=play" method="post">
<script type="text/javascript">
$(function(){

$('#mass').click(function(){
	if($('#mass').text() == 'Массовое создание игр'){
	$('#mass').text('Создание одной игры');
	$('#item').hide();
	$('#kolvo').show();
}else{
	$('#mass').text('Массовое создание игр');
	$('#item').show();
	$('#kolvo').hide();
	}
});

});
</script>


	




<script type="text/javascript">
$(function(){
$('span#item img').hover(function(){
	$(this).attr('src', '/style/img/items/' + $(this).attr('alt') + '-1.png');
}, function(){
	if($('span#item input[name="item"]').val() != $(this).attr('alt'))
		$(this).attr('src', '/style/img/items/' + $(this).attr('alt') + '.png');
});
$('span#item img').click(function(){
var arr = [ 1,2 ];
$.each(arr, function() {
      $("span#item img[alt='"+this+"']").attr('src', '/style/img/items/' + this + '.png');
    });
$(this).attr('src', '/style/img/items/' + $(this).attr('alt') + '-1.png');
$('span#item input[name="item"]').val($(this).attr('alt'));
});
});
</script> 
 
 <div class="createGame panel-df">
    <div class="panel-header">
        Создание игры
    </div>
    <div class="panel-body">
        <div class="block-left" style="width:100px;">
            <div class="form-label">Ставка:</div>
            
			<input class="form-control text-center"  name="summa" type="text" value="0.5" size="5" />
        </div>
        <div class="block-left" style="width:100px;">
            <div class="form-label">Количество игр:</div>
		
                <input name="kolvo" class="form-control text-center" type="text" value="1" size="5">

        </div>
        <div class="block-left" style="width:130px;">
            <div class="form-label">Предмет:</div>
            <div class="hand_type type_123">
                <label class="h_gold_0 a_gold_0 с_gold_0" status='1'><input name="item" type="hidden" checked="" value="1"  alt="1" title="Орел" /></label>
                <label class="h_gold_1 a_gold_1 с_gold_1" status='1'><input name="item" type="hidden" checked="" value="2"  alt="2" title="Решка" /></label>
                <label class="h_random a_random current с_random" status='1'><input name="item" type="hidden" checked="checked" value="4"  alt="4" title="Случайный предмет" /></label>		
            </div>
        </div>
        <div class="block-left" style="width:200px;">
            <div class="form-label red" id="create-error">&nbsp;</div>
			<input type="hidden" class="c_block_hidden" name="c_block_hidden" value="">
            <button id="create-submit" name="playsub" type="submit" style="width:150px;">СОЗДАТЬ ИГРУ</button>
        </div>
        
        <div class="block-left" style="width:100px;">          
<?php

if(isset($_POST["playsub"])){
	$err = NULL;
	if(intval($_POST["kolvo"]) < 1)
		$err .= "Минимум 1 ставка. <br />";
	if(round($_POST["summa"], 2) < 0.1)
		$err .= "Ставки от 0,1 руб. <br />";
	if($_POST["item"] > 2 OR $_POST["item"] <1)
		$_POST["item"] = rand(1,2);
	if(round(intval($_POST["kolvo"]) * $_POST["summa"], 2) > round($row["balance"] ,2))
		$err .= "Нету средств. <br />";
		
	if($err == NULL){
	$i = 0;
	while($i < intval($_POST["kolvo"])){
	    $md5 = md5($_SESSION["login"].time().'abc');
		if($_POST['c_block_hidden'] == 'h_gold_0'){
		$item = 1;
		} else if($_POST['c_block_hidden'] == 'h_gold_1'){
		$item = 2;
		} else {
		   $item = rand(1,2);
		}
		db_query("UPDATE `".DBpref."users` SET `balance` = `balance` - ".round($_POST["summa"], 2)." WHERE `login` = '".db_string($_SESSION["login"])."'");
		db_query("INSERT INTO `".DBpref."games` (`summa`, `item`, `login`, `dat`, `md5`) VALUES (".round($_POST["summa"], 2).", ".intval($item).", '".db_string($_SESSION["login"])."', '".date("Y-m-d H:i:s")."', '".db_string($md5)."')");
		$i++;
		}
		echo "<strong>Создано</strong>";
	}else{
		echo "<strong>".$err."</strong>";
	}
	echo '<br />';
}

db_close();

$rand = rand(1,2);
?>
</div>
        
        
    </div>
	
	
</div>


<script type="text/javascript">



$(function(){
$('#imgitems img').hover(function(){
	$(this).attr('src', '/img/' + $(this).attr('alt') + '-1.png');
}, function(){
	if($('item input[name="item"]').val() != $(this).attr('alt'))
		$(this).attr('src', '/img/' + $(this).attr('alt') + '.png');
});
$('#imgitems img').click(function(){
$('input[name="item"]').val($(this).attr('alt'));
$('form .play'+$(this).attr('class')).submit();
});
$('#del-').submit(function(e){
			e.preventDefault();
			var m_method=$(this).attr('method');
			var m_action=$(this).attr('action');
			var m_data=$(this).serialize();
			$.ajax({
				type: m_method,
				url: m_action,
				data: m_data,
				success: function(result){
					$('#test_form').html(result);
				}
			});
		});
$('#play').submit(function(e){
//отменяем стандартное действие при отправке формы
e.preventDefault();
//берем из формы метод передачи данных
var m_method=$(this).attr('method');
//получаем адрес скрипта на сервере, куда нужно отправить форму
var m_action=$(this).attr('action');
//получаем данные, введенные пользователем в формате input1=value1&input2=value2...,
//то есть в стандартном формате передачи данных формы
var m_data=$(this).serialize();
var a = $(this).attr('a11');

$.ajax({
type: m_method,
url: "../ajax/game_play.php",
data: m_data,
success: function(result){

$('.'+a+' > li:eq(1) > .test_form').html(result);

}
});
});
//


    $( "#dialog" ).dialog({
      autoOpen: false,
      
    });
	$( "#dialogs" ).dialog({
      autoOpen: false,
      
    });
 
    $( "#rules-open" ).click(function(e) {
	  e.preventDefault();
      $( "#dialog" ).dialog( "open");
	  $("#dialog").dialog({ width: 530 });
    });
	
	$( ".dialog_row" ).click(function(e) {
	  e.preventDefault();
	  
	  var ids = $(this).attr("ids");
	  var login = $(this).attr("login");
	  var md5 = $(this).attr("md5");
	  $("#id_login").html(ids);
	  $("#login").html(login);
	  $("#md5_login").html(md5);
      $("#dialogs").dialog( "open");
	  $("#dialogs").dialog({ width: 530 });
    });


});
</script>
<style>


</style>

</form>


<div class="table-heads">
    <div class="block-right">
        <a href="?p=mygame" onclick="return games_list_last(true);">Мои игры</a> | 
		<a href="/?p=play&nostav">Отменить все игры</a> | 
        <a href="/?p=play" onclick="games_list_reload('orl','0');return false;" class="bold">Обновить список игр</a>
    </div>
    <a href="#" id="rules-open">Правила игры</a>
    <div class="clearfix"></div>
</div>
 
 
<script language="javascript" type="text/javascript">
    // Настройка
    var enable_double = 0;
    var is_loading_md5hash = false; // true - идет загрузка хеша мд5
</script>

<div class="table_top" id="game_list_top">
<ul class="table_top" id="game_list_top" style="">

	<li class="rows1 row1-small">Пользователь</li>
    <li class="rows4">Сумма</li>
	<li class="rows4">Время</li>
	<li class="rows3">MD5</li>
    <li class="rows5">Предмет</li>
    <li class="rows6">Действие</li>
</ul>
</div>


<?php
db_connect();
$res = db_query("SELECT * FROM `".DBpref."games` ORDER BY `id`");
db_close();
echo '<div class="table_cont" id="gamelist_rows">';
while($row = db_assoc($res)){
$rand = rand(1,2);
$dat0 = explode(" ", $row["dat"]);
$dat1 = explode(":", $dat0[1]);
echo "<ul id='play-".$row["id"]."'>

<li class='rows1' style='line-height:2.5;'>
<a target='_blank' href='/?p=wprofile&login=".htmlspecialchars($row["login"])."'>".htmlspecialchars($row["login"])."</a></li>
<li class='rows4 bold' style='line-height:2.5;'>".$row["summa"]." руб.</li>

<li class='rows4' style='line-height:2.5;'>".$dat1[0].":".$dat1[1]."</li>
<li class='rows3'>
<center><a href='#' class='dialog_row' login='".$row[login]."' md5='".$row[md5]."' ids='".$row[id]."' onclick=''><span class='protect_md5' title='Контроль невмешательства MD5'></span></a></center>
</li>";



if($row["login"] == $_SESSION["login"]){

echo "<form action='../ajax/game_del.php' id='del-' method='post' class='play-".$row["id"]."'><li class='rows5'>";

if($row["item"] == 1){
   echo "<div class='hand_type'>";
   echo "<label class='h_gold_0 current'><input name=\"item\" type=\"hidden\" checked=\"\" value=\"2\" alt=\"1\" title=\"Орел\"></label>";
   echo "<label class='h_gold_1' style='opacity: 0.2;'><input name=\"item\" type=\"hidden\" checked=\"\" value=\"2\" alt=\"1\" title=\"Орел\"></label>";
   echo "<label class='h_random' style='opacity: 0.2;'><input name=\"item\" type=\"hidden\" checked=\"checked\" value=\"2\" alt=\"4\" title=\"Случайный предмет\"></label>";
   echo "</div>";
} else if($row["item"] == 2){
   echo "<div class='hand_type'>";
   echo "<label class='h_gold_0' style='opacity: 0.2;'><input name=\"item\" type=\"hidden\" checked=\"\" value=\"2\" alt=\"1\" title=\"Орел\"></label>";
   
   echo "<label class='h_gold_1 current' ><input name=\"item\" type=\"hidden\" checked=\"\" value=\"2\" alt=\"1\" title=\"Орел\"></label>";
   echo "<label class='h_random' style='opacity: 0.2;'><input name=\"item\" type=\"hidden\" checked=\"checked\" value=\"2\" alt=\"4\" title=\"Случайный предмет\"></label>";
   
   echo "</div>";			
}
echo "</li>

<li class='rows6a' id='row6_idxa' >

<div class='test_form' style='float:right;'><button type='submitt' class='button_play game-cancel' id='com-cancel'  type='hidden' alt='Удалить' title='Удалить' value='' /><span>Отмена</span></button></div>
<input name='id' type='hidden' value='".$row["id"]."' /> 
<input type='hidden' name='h_block_hidden' class='h_block_hidden' value=''>


</li></form>
";
} else {
echo "

<form  id='play' action='../ajax/game_play.php' method='post' a11 = 'play-".$row["id"]."' class='play-".$row["id"]."'>
<li class='rows5'>

					            <div class='hand_type'>
								

<input name='id' type='hidden' value='".$row["id"]."' />
<input type='hidden' name='h_block_hidden' class='h_block_hidden' value=''>
<input id='item' name='item' type='hidden' value='' />
			
			    
				<label class=\"h_gold_0 a_gold_0\" status='1'><input name=\"\" type=\"hidden\" checked=\"\" value=\"2\" alt=\"1\" title=\"Орел\"></label>
				<label class=\"h_gold_1 a_gold_1\" status='1'><input name=\"\" type=\"hidden\" checked=\"\" value=\"2\" alt=\"2\" title=\"Решка\"></label>
				<label class=\"h_random a_random\" status='1'><input name=\"\" type=\"hidden\" checked=\"checked\" value=\"2\" alt=\"4\" title=\"Случайный предмет\"></label>
				
	
		</div>
								
</li>

<li class='rows6a' id='row6_idxa' >

        <div class='test_form' style='float:right;'>
		<button type='hidden' class='button_play' id='play' disabled><span>Играть</span></button>
        </div>

</li></form>";
}
echo "</ul>";
?>
<div id="test_form"></div>
<?php
}

echo '</div>';

?>

<script>
$(document).on("click", ".h_gold_1", function(e){
   if($(this).attr("status") != 1){
   } else {
   
   var a = $(".h_gold_1").index(e.target);
   $(".h_gold_1:eq("+a+")").addClass("current");
   $(".h_gold_0:eq("+a+")").removeClass("current");
   $(".h_random:eq("+a+")").removeClass("current");
   var c = a-1;
   $(".button_play:eq("+c+")").prop("disabled", false);
   $(".h_block_hidden:eq("+c+")").attr("value", "h_gold_1");
   }
});
$(document).on("click", ".h_gold_0", function(e){
   if($(this).attr("status") != 1){
   } else {
   var a = $(".h_gold_0").index(e.target);
   $(".h_gold_0:eq("+a+")").addClass("current");
   $(".h_gold_1:eq("+a+")").removeClass("current");
   $(".h_random:eq("+a+")").removeClass("current");
   var c = a-1;
   $(".h_block_hidden:eq("+c+")").attr("value", "h_gold_0");
   $(".button_play:eq("+c+")").prop("disabled", false);
   }
});
$(document).on("click", ".h_random", function(e){
   if($(this).attr("status") != 1){
   } else {
   var a = $(".h_random").index(e.target);
   $(".h_gold_1:eq("+a+")").removeClass("current");
   $(".h_gold_0:eq("+a+")").removeClass("current");
   $(".h_random:eq("+a+")").addClass("current");
   var c = a-1;
   
   $(".h_block_hidden:eq("+c+")").val("h_random");
   $(".button_play:eq("+c+")").prop("disabled", false);
   }
});
//
//
//
//
$(document).ready(function(){
$(document).on("click", ".c_gold_1:eq(0)", function(e){
   
   $(".c_block_hidden").attr("value", "h_gold_1");
   
   
});
$(document).on("click", ".h_gold_0:eq(0)", function(e){

   $(".c_block_hidden").attr("value", "h_gold_0");
});
$(document).on("click", ".c_random:eq(0)", function(e){

   $(".c_block_hidden").attr("value", "h_random");
});
});
</script>

<div id="dialog" title="Правила игры">
<p>Вам доступно два предмета: <strong>орел или решка.</strong><br>
Если Вы создали игру - побеждаете, если соперник не угадывает Ваш предмет.<br>
Если Вы играете в созданную игру - побеждаете, если угадываете предмет соперника.<br>
Комиссия с игры: 10% при выигрыше</p><br>

<p><font color="red"><strong>ВНИМАНИЕ!!!</strong></font> При создании массовых игр, от 2-х шт.<br>
включаеться режим случайного предмета.<br>
То есть подряд 2-е и более игр одинакового предмета нужно создавать по одной штуке.<br>
Это сделано от случайного создания Вами одинаковых игр, чтобы Вы не потеряли свои средства.</p>
 
</div>

<div class="" id="dialogs" title="Контроль невмешательства MD5">
	<div class="right" style="padding-top:8px"><a href="/?p=md5" target="blank">Справка</a></div>
    <div class="left" style="width:360px;padding-top:8px">
  <p>Игра "КНБ", ID <b><span id="id_login"></span></b> (создатель: <b><span id="login"></span></b>).</p>
  <p>MD5 Hash: <b><span id="md5_login"></span></b></p>
  <p>MD5 Text: </p>
  <p><textarea cols="50" rows="3">Текст доступен после игры</textarea></p>
     </div>
<div class="both"></div>
  
</div>